Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Class TemplateCache

    java.lang.Object
      rendsite.engine.TemplateCache

    public class TemplateCache

extends java.lang.Object

Cache for loadable templates.

This version isn't particularly memory friendly.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Constructor Summary
`TemplateCache()` Construct the cache.

Method Summary
`java.lang.String` | `getTemplate(java.io.File theFile)` Get a template by path.
`java.lang.String` | `getTemplate(java.lang.String path)` Get a template by path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateCache

    public TemplateCache()
                  throws java.lang.Throwable

  Construct the cache.

  Throws:
    `java.lang.Throwable` - will only happen if the context is bad or the catalog could not be loaded.

Method Detail

### getTemplate

    public java.lang.String getTemplate(java.io.File theFile)
                                 throws things.common.ThingsException

  Get a template by path.

  Parameters:
    `theFile` - a File pointing to the template. Let the context call this. use the context methods to get templates.
  Throws:
    `things.common.ThingsException`

### getTemplate

    public java.lang.String getTemplate(java.lang.String path)
                                 throws things.common.ThingsException

  Get a template by path.

  Parameters:
    `path` - absolute path to the template. Let the context call this. use the context methods to get templates.
  Throws:
    `things.common.ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.